'////////////////////////////////////////////////////////////////////////////
' $Workfile: FileInfo.vbs $ $Revision: 1 $ $Date: 7/04/99 1:16p $
' $Archive: /TimH/Projects (SCC)/Books & Articles/Macmillan/Windows 2000 System Scripting (1999)/Scripts/FileInfo.vbs $
' Copyright (c) 1999 Tim Hill. All Rights Reserved.
'////////////////////////////////////////////////////////////////////////////

' Display info for specified file

Option Explicit
Dim sArg, oFSO, oFile, sAttr, nAttr
Set oFSO = CreateObject("Scripting.FileSystemObject")

' Get absolute path name from command line, then get drive name
If Wscript.Arguments.Count < 1 Then Wscript.Quit(1)
sArg = oFSO.GetAbsolutePathName(Wscript.Arguments(0))

' Get file object and display properties
Set oFile = oFSO.GetFile(sArg)

Wscript.Echo "Drive containing file   :", oFile.Drive
Wscript.Echo "File name               :", oFile.Name
Wscript.Echo "Path                    :", oFile.Path
Wscript.Echo "Short (MSDOS) name      :", oFile.ShortName
Wscript.Echo "Short (MSDOS) path      :", oFile.ShortPath
Wscript.Echo "Size                    :", oFile.Size
Wscript.Echo "File type               :", oFile.Type
Wscript.Echo "Date created            :", oFile.DateCreated
Wscript.Echo "Date last accessed      :", oFile.DateLastAccessed
Wscript.Echo "Date last modified      :", oFile.DateLastModified
Wscript.Echo "Parent folder name      :", oFile.ParentFolder.Name
nAttr = oFile.Attributes
Wscript.Echo "Attributes              :", Hex(nAttr)
sAttr = ""
If nAttr And 1 Then sAttr = sAttr & "Read-Only "
If nAttr And 2 Then sAttr = sAttr & "Hidden "
If nAttr And 4 Then sAttr = sAttr & "System "
If nAttr And 8 Then sAttr = sAttr & "Volume "
If nAttr And 16 Then sAttr = sAttr & "Folder "
If nAttr And 32 Then sAttr = sAttr & "Archive "
If nAttr And 64 Then sAttr = sAttr & "Alias "
If nAttr And 128 Then sAttr = sAttr & "Compressed "
Wscript.Echo "    " & sAttr

Set oFile = Nothing
Set oFSO = Nothing

'////////////////////////////////////////////////////////////////////////////

