'////////////////////////////////////////////////////////////////////////////
' $Workfile: FolderInfo.vbs $ $Revision: 1 $ $Date: 7/03/99 7:27p $
' $Archive: /TimH/Projects (SCC)/Books & Articles/Macmillan/Windows 2000 System Scripting (1999)/Scripts/FolderInfo.vbs $
' Copyright (c) 1999 Tim Hill. All Rights Reserved.
'////////////////////////////////////////////////////////////////////////////

' Display info for specified folder

Option Explicit
Dim sArg, oFSO, oFolder, sAttr, nAttr
Set oFSO = CreateObject("Scripting.FileSystemObject")

' Get absolute path name from command line, then get drive name
If Wscript.Arguments.Count < 1 Then Wscript.Quit(1)
sArg = oFSO.GetAbsolutePathName(Wscript.Arguments(0))

' Get folder object and display properties
Set oFolder = oFSO.GetFolder(sArg)

Wscript.Echo "Drive containing folder :", oFolder.Drive
Wscript.Echo "Root folder?            :", oFolder.IsRootFolder
Wscript.Echo "Folder name             :", oFolder.Name
Wscript.Echo "Path                    :", oFolder.Path
Wscript.Echo "Short (MSDOS) name      :", oFolder.ShortName
Wscript.Echo "Short (MSDOS) path      :", oFolder.ShortPath
Wscript.Echo "Size (files+subfolders) :", oFolder.Size
Wscript.Echo "Folder type             :", oFolder.Type
If Not oFolder.IsRootFolder Then
    Wscript.Echo "Date created            :", oFolder.DateCreated
    Wscript.Echo "Date last accessed      :", oFolder.DateLastAccessed
    Wscript.Echo "Date last modified      :", oFolder.DateLastModified
    Wscript.Echo "Parent folder name      :", oFolder.ParentFolder.Name
End If
nAttr = oFolder.Attributes
Wscript.Echo "Attributes              :", Hex(nAttr)
sAttr = ""
If nAttr And 1 Then sAttr = sAttr & "Read-Only "
If nAttr And 2 Then sAttr = sAttr & "Hidden "
If nAttr And 4 Then sAttr = sAttr & "System "
If nAttr And 8 Then sAttr = sAttr & "Volume "
If nAttr And 16 Then sAttr = sAttr & "Folder "
If nAttr And 32 Then sAttr = sAttr & "Archive "
If nAttr And 64 Then sAttr = sAttr & "Alias "
If nAttr And 128 Then sAttr = sAttr & "Compressed "
Wscript.Echo "    " & sAttr

Set oFolder = Nothing
Set oFSO = Nothing

'////////////////////////////////////////////////////////////////////////////

