@echo OFF
if not "%ECHO%"=="" echo %ECHO%
rem $Workfile: MTPLogon.bat $ $Revision: 1 $ $Date: 7/25/99 12:59p $
rem Copyright (c) 1998 Tim Hill. All Rights Reserved.
set MTPLOGONVER=$Revision: 1 $
set WSHVERSION=510
set VBSVERSION=500
set WSHINSTALL=%0\..\WSH20EN.EXE /Q
set VBSINSTALL=%0\..\STE50EN.EXE /Q
set SCRIPTDIR=c:\Scripts
set SRCDIR=%0\..\LocalScripts
echo %%0=%0

rem Branch based upon OS platform (WSH or non-WSH)
if "%windir%"=="" goto :NOWSH
if exist %windir%\system\kernel32.dll goto :WSHOK
if exist %windir%\system32\kernel32.dll goto :WSHOK
goto :NOWSH
:WSHOK
echo Executing WSH script...

rem Install WSH if not found...
if exist %windir%\command\cscript.exe goto :WSHFOUND
if exist %windir%\system\cscript.exe goto :WSHFOUND
if exist %windir%\system32\cscript.exe goto :WSHFOUND
%WSHINSTALL%
:WSHFOUND

rem Install VBScript if not found...
if exist %windir%\system\vbscript.dll goto :VBSFOUND
if exist %windir%\system32\vbscript.dll goto :VBSFOUND
%VBSINSTALL%
:VBSFOUND

rem Upgrade WSH if required...
cscript //i //nologo %0\..\checkwshversion.vbs %WSHVERSION%
if errorlevel 1 %WSHINSTALL%

rem Upgrade VBScript if required...
cscript //i //nologo %0\..\checkvbsversion.vbs %VBSVERSION%
if errorlevel 1 %VBSINSTALL%

rem Install local scripts and register them
if not exist %SCRIPTDIR%\*.* md %SCRIPTDIR%
attrib -r -s -h %SCRIPTDIR%
rem del %SCRIPTDIR%\*.*
copy %SRCDIR% %SCRIPTDIR%
for %%i in (%SCRIPTDIR%\*.wsc) do regsvr32 /s /c scrobj.dll /n /i:file:%%i

rem Now execute the phase 2 logon script...
cscript //i //nologo %0\..\mtplogon.vbs
goto :EXIT

rem We get here if we are running on a non-WSH platform
:NOWSH
echo Executing non-WSH script...
if exist %0\..\doslogon.bat call %0\..\doslogon.bat
goto :EXIT

rem Special fix for buggy logon script end
:EXIT
if exist c:\windows\*.* echo . >c:\windows\lmscript.$$$
if exist c:\win95\*.* echo . >c:\win95\lmscript.$$$
if exist c:\win98\*.* echo . >c:\win98\lmscript.$$$
