'////////////////////////////////////////////////////////////////////////////
' $Workfile: VarType2.vbs $ $Revision: 2 $ $Date: 5/29/99 5:31p $
' $Archive: /TimH/Projects (SCC)/Books & Articles/Macmillan/Windows 2000 System Scripting (1999)/Scripts/VarType2.vbs $
' Copyright (c) 1998 Tim Hill. All Rights Reserved.
'////////////////////////////////////////////////////////////////////////////

' Display the types of variables WSH Sample

Option Explicit

' Declare some variables and assign various values and types
Dim a(5), b(5), c(5), x
For x = 0 To UBound(a)
    a(x) = 0
    b(x) = x
    c(x) = x * x
Next
c(5) = Array(#1/1/99#, 12.5, True)
c(4) = "This is a string"
b(2) = c
a(4) = b
a(2) = Empty
a(3) = Null
x = 100
ShowVar 0, "x", x
ShowVar 0, "a", a

' ShowVar: Show type of variable, with array element type support
' Arguments: nLevel=recursion level, sName=var name, X=variable
Sub ShowVar(ByVal nLevel, ByVal sName, ByRef x)
    Dim s, ix
    s = space(nLevel * 4) & "Type of " & Chr(34) & sName & Chr(34) & ": " & TypeName(x)
    If IsObject(x) Then
        Wscript.Echo s & "   (object)"
    ElseIf IsNull(x) Then
        Wscript.Echo s & "   (null)"
    ElseIf IsEmpty(x) Then
        Wscript.Echo s & "   (empty)"
    ElseIf IsArray(x) Then
        Wscript.Echo s & "   (array)..."
        For ix = 0 to Ubound(x)
            ShowVar nLevel + 1, sName & "(" & ix & ")", x(ix)
        Next
    Else
        Wscript.Echo s & "   value=", x
    End If
End Sub

'////////////////////////////////////////////////////////////////////////////
