'////////////////////////////////////////////////////////////////////////////
' $Workfile: CountUNCNames.vbs $ $Revision: 1 $ $Date: 7/05/99 11:23a $
' $Archive: /TimH/Projects (SCC)/Books & Articles/Macmillan/Windows 2000 System Scripting (1999)/Scripts/CountUNCNames.vbs $
' Copyright (c) 1998 Tim Hill. All Rights Reserved.
'////////////////////////////////////////////////////////////////////////////

' Count UNC names on command line, split between even and odd indexes

Option Explicit
Dim oOddCount, oEvenCount, sArg, ix

Set oOddCount = New UNCCount
Set oEvenCount = New UNCCount
oOddCount.Reset : oEvenCount.Reset
For ix = 0 To Wscript.Arguments.Count - 1
    sArg = Wscript.Arguments(ix)
    If ix And 1 Then
        oOddCount.AddName sArg 
    Else
	    oEvenCount.AddName sArg 
    End If
Next
Wscript.Echo oOddCount.Count, oEvenCount.Count

'////////////////////////////////////////////////////////////////////////////
' UNCCount
' UNC Counter class - counts UNC names
'
Class UNCCount
    Public Count
    
    ' Reset all properties
    Public Sub Reset
        Count = 0
    End Sub
    
    ' Add a name (if its a UNC name)
    Public Sub AddName(sName)
        If Left(sName, 2) = "\\" Then Count = Count + 1
    End Sub
End Class

'////////////////////////////////////////////////////////////////////////////
