
Dim oInfo
Set oInfo = CreateObject("MTP.Info")
Wscript.Echo "Name=", oInfo
Wscript.Echo "Verion=", oInfo.Version
Wscript.Echo "Copyright=", oInfo.Copyright
Set oInfo = Nothing

Dim oArgs, oArg, ix
Set oArgs = CreateObject("MTP.CmdArgs")
oArgs.FromCollection(Wscript.Arguments)
Dim oFSO, oStream
Set oFSO = CreateObject("Scripting.FileSystemObject")
Set oStream = oFSO.OpenTextFile("test.txt")
oArgs.FromStream(oStream)
For ix = 0 To oArgs.Count - 1
	Set oArg = oArgs(ix)
	Wscript.Echo "[" & oArg.Text & "] type=" & oArg.ArgType, "delim=" & oArg.Delim, "name=" & oArg.Name, "value=" & oArg.Value
Next

Dim nType
For nType = 0 To 7
	Wscript.Echo "Type " & nType & ": " & oArgs.TypedCount(nType)
Next



Class Node
	Public sData

	Public Function Compare(oNode)
		Compare = StrComp(sData, oNode.sData, vbTextCompare)
	End Function

	Public Sub Visit
		Wscript.Echo "Visit: " & sData
	End Sub
End Class

Dim sArg, oTree, oObj
Set oTree = CreateObject("MTP.BinaryTree")
For ix = 0 To oArgs.Count - 1
	Set oObj = New Node
	oObj.sData = oArgs(ix).Text
	oTree.Add oObj
Next
Wscript.Echo oTree.Count, "nodes"
oTree.VisitAll