'////////////////////////////////////////////////////////////////////////////
' $Workfile: ParseArgs1.vbs $ $Revision: 2 $ $Date: 5/11/99 8:55p $
' $Archive: /TimH/Projects (SCC)/Books & Articles/Macmillan/Windows 2000 System Scripting (1999)/Scripts/ParseArgs1.vbs $
' Copyright (c) 1998 Tim Hill. All Rights Reserved.
'////////////////////////////////////////////////////////////////////////////

' Parse command arguments of the form <name>=<value>

Option Explicit
Dim sArg, sName, sValue, ix, a

' Parse the arguments char-by-char
Wscript.Echo "Parsing character by character..."
For Each sArg In Wscript.Arguments
    sName = "" : sValue = ""
    ix = 1 : bInValue = False
    Do While ix <= len(sArg)
        sChar = Mid(sArg, ix, 1)
        ix = ix + 1
        If bInValue Then
            sValue = sValue & sChar
        ElseIf sChar = "=" Then
            bInValue = True
        Else
            sName = sName & sChar
        End If
    Loop
    Wscript.Echo "Name=" & sName, "Value=" & sValue
Next

' Parse the arguments using Instr etc
Wscript.Echo "Parsing using InStr/Left/Mid..."
For Each sArg In Wscript.Arguments
    ix = InStr(sArg, "=")
    If ix <> 0 Then
        sName = Left(sArg, ix - 1)
        sValue = Mid(sArg, ix + 1)
    Else
        sName = sArg
        sValue = ""
    End If
    Wscript.Echo "Name=" & sName, "Value=" & sValue
Next

' Parse the arguments using Split function
Wscript.Echo "Parsing using Split..."
For Each sArg In Wscript.Arguments
    a = Split(sArg, "=", 2)
    sName = a(0)
    If UBound(a) >= 1 Then
        sValue = a(1)
    Else
        sValue = ""
    End If
    Wscript.Echo "Name=" & sName, "Value=" & sValue
Next

'////////////////////////////////////////////////////////////////////////////
