'////////////////////////////////////////////////////////////////////////////
' $Workfile: RDir2.vbs $ $Revision: 1 $ $Date: 7/13/99 9:57a $
' $Archive: /TimH/Projects (SCC)/Books & Articles/Macmillan/Windows 2000 System Scripting (1999)/Scripts/RDir2.vbs $
' Copyright (c) 1999 Tim Hill. All Rights Reserved.
'////////////////////////////////////////////////////////////////////////////

' Regulr expression file search using FileScan class

Option Explicit
Dim oFileScan, oFSO, ix
Set oFSO = CreateObject("Scripting.FileSystemObject")

' Show usage if no arguments
If Wscript.Arguments.Count < 1 Then
    Wscript.Echo "usage: filescan reg-expr [path...]"
    Wscript.Quit(0)
End If

' Create the FileScan object and set the RE from cmd line
Set oFileScan = CreateObject("FileScan.WSC")
oFileScan.Expr = Wscript.Arguments(0)
oFileScan.ScanSubFolders = True

' Now process all arguments, or use current dir if none
If Wscript.Arguments.Count > 1 Then
    For ix = 1 To Wscript.Arguments.Count - 1
        oFileScan.Execute oFSO.GetAbsolutePathName(Wscript.Arguments(ix))
    Next
Else
    oFileScan.Execute oFSO.GetAbsolutePathName(".")
End If

' Display the results
For ix = 0 To oFileScan.Count
    Wscript.Echo oFileScan(ix)
Next

Wscript.Quit(oFileScan.Count)

